Desktop
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
GET |
Create desktop feedback
Stores selected attachments and submits one response to the PostHog Desktop feedback survey.
Required API key scopes
survey:writeResponse
Example request
Example response
Status 201
RESPONSE
Status 400 The feedback or an attachment is invalid.
RESPONSE
Status 503 The feedback could not be stored or accepted.
RESPONSE
Retrieve desktop feedback attachments
Returns an unexpired attachment to a user with access to the internal feedback project.
Path parameters
- media_idstring
Example request
GET /api /projects /:project_id /desktop_feedback /attachments /:media_idExample response
Status 200 Feedback attachment image.
Status 404 The attachment does not exist or the user cannot access it.
RESPONSE
Status 503 The attachment could not be read.
RESPONSE